// ----------------------------------------------------------------------------
//
// Matrix multiplication.
// (c) Wolfgang Schreiner, 2005.
//
// ----------------------------------------------------------------------------
class MatMult
{
  // matrix dimension
  final static int N = 1024; 

  // ----------------------------------------------------------------------------
  // 
  // multiply A by B giving C
  // 
  // ----------------------------------------------------------------------------
  static void multiply(float[][] A, float[][] B, float[][] C) 
  {
    for (int i = 0; i < N; i++) 
    {
      for (int j = 0; j < N; j++) 
      {
	float m = 0;
	for (int k = 0; k < N; k++) 
	  m = m + A[i][k]*B[k][j];
	C[i][j] = m;
      }
    }
  }

  // ----------------------------------------------------------------------------
  //
  // main program
  //
  // ----------------------------------------------------------------------------
  public static void main(String[] args) 
  {
    float[][] A = new float[N][N];
    float[][] B = new float[N][N];
    float[][] C = new float[N][N];
    multiply(A, B, C);
  }
}

